Commit b6deeffe authored by Damien Cassou's avatar Damien Cassou Committed by Jorgen Schäfer

Set Emacs 24.3 as minimum and clean outdated code (close #89)

parent 7e8898bd
language: emacs-lisp
sudo: no
env:
- EVM_EMACS=emacs-24.1-travis
- EVM_EMACS=emacs-24.2-travis
- EVM_EMACS=emacs-24.3-travis
- EVM_EMACS=emacs-24.4-travis
- EVM_EMACS=emacs-24.5-travis
......
......@@ -29,18 +29,6 @@
;;; Code:
;;;;;;;;;;;;;;;;;;;;;
;; Introduced in 24.3
(when (not (fboundp 'cl-defstruct))
(defalias 'cl-defstruct 'defstruct))
(when (not (fboundp 'cl-every))
(defalias 'cl-every 'every))
(when (not (fboundp 'cl-subsetp))
(defalias 'cl-subsetp 'subsetp))
;;;;;;;;;;;;;;;;;;;;;
;; Introduced in 24.4
......
......@@ -39,7 +39,7 @@
;;; Code:
(require 'cl)
(require 'cl-lib)
(require 'buttercup-compat)
;;;;;;;;;;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment